package com.ssj.bean.weixin.zyb.domain;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年7月4日 上午10:43:17 
 * 类说明 课程周 一周的课程
 */
@Entity
@Table(name = "zyb_week")
public class ZuoybWeek extends BaseEntity{
    /**
	 * 
	 */
	private static final long serialVersionUID = 6564181205877865500L;
	/**
     * 课程ID
     */
	private String zybCourseId;
	/**
	 * 周几
	 */
	private Integer days;
	/**
	 * 老师ID
	 */
	private String teacherId;
	/**
	 * 老师昵称
	 */
	private String teacherName;
	/**
	 * 图书馆ID
	 */
	private String libId;
	/**
	 * 创建时间
	 */
	private Date  createTime;
	/**
	 * 修改时间
	 */
	private Date  updateTime;

	public String getZybCourseId() {
		return zybCourseId;
	}

	public void setZybCourseId(String zybCourseId) {
		this.zybCourseId = zybCourseId;
	}

	public Integer getDays() {
		return days;
	}

	public void setDays(Integer days) {
		this.days = days;
	}

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Column(insertable =false)
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public String getTeacherName() {
		return teacherName;
	}

	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}
	
	
	
	
	
}
